package com.wall.turing.wallpapers.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "55CE131C596797A26CDD32301A634212"
        const val TOP_ON_AD_TOW = "8C14DAFD8AB1BDCF0EC9DAABCE5F1512"
        const val TOP_ON_AD_THREE = "7F44284720182BA025C6BFA508E31512"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}